Summary: A program for plotting mathematical expressions and data.
Name: gnuplot
Version: 3.7.1
Release: 3
Copyright: distributable
Group: Applications/Engineering
Source: ftp://ftp.gnuplot.vt.edu/pub/gnuplot/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
URL: ftp://ftp.gnuplot.vt.edu/pub/gnuplot/ANNOUNCEMENT

%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --datadir=/usr/share/gnuplot \
            --with-readline=gnu \
	    --with-gd \
	    --with-png \
	    --with-x \
	    --without-linux-vga
make

cd docs
make doc2html
./doc2html gnuplot.doc > gnuplot.html

cd latextut
make tutorial.ps

cd ../psdoc
make
rm Makefile

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/{bin,share/gnuplot/demo,man/man1}
install -m 755 -s gnuplot_x11 $RPM_BUILD_ROOT/usr/bin
install -m 755 -s gnuplot $RPM_BUILD_ROOT/usr/bin
install -m 644 docs/gnuplot.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 docs/gnuplot.gih $RPM_BUILD_ROOT/usr/share/gnuplot
install -m 644 demo/* $RPM_BUILD_ROOT/usr/share/gnuplot/demo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 0BUGS 0FAQ 0INSTALL 0PORTING 0README ChangeLog Copyright NEWS TODO
%doc docs/gnuplot.html docs/latextut/tutorial.ps docs/psdoc
/usr/bin/gnuplot_x11
/usr/bin/gnuplot
/usr/man/man1/gnuplot.1
/usr/share/gnuplot

%changelog
* Thu Mar  2 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- corrected version update 3.7 -> 3.7.1
- corrected $RPM_OPT_FLAGS
- links to gd gif library
- moved help and demo files into share/gnuplot directory
- makes latex tutorial document

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Nov  4 1999 Bill Nottingham <notting@redhat.com>
- update to 3.7.1

* Mon Oct 11 1999 Bill Nottingham <notting@redhat.com>
- ship some docs.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix postscript output from Bernd Kischnick
 (kisch@die-herrmanns.de)

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- fix license

* Thu Jul 15 1999 Bill Nottingham <notting@redhat.com>
- rebuild without svgalib

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 3.7.0.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.7.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
